Index: /sandbox/2.2.0.2/API/class.servicelocator.php
===================================================================
--- /sandbox/2.2.0.2/API/class.servicelocator.php	(revision 4445)
+++ /sandbox/2.2.0.2/API/class.servicelocator.php	(revision 4458)
@@ -1,7 +1,44 @@
 <?php
+/**
+*
+* Copyright (C) 2011 Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+*
+* This program is free software; you can redistribute it and/or modify it under
+* the terms of the GNU Affero General Public License version 3 as published by
+* the Free Software Foundation with the addition of the following permission
+* added to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED
+* WORK IN WHICH THE COPYRIGHT IS OWNED BY FUNAMBOL, FUNAMBOL DISCLAIMS THE
+* WARRANTY OF NON INFRINGEMENT  OF THIRD PARTY RIGHTS.
+*
+* This program is distributed in the hope that it will be useful, but WITHOUT
+* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+* FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+* details.
+*
+* You should have received a copy of the GNU Affero General Public License
+* along with this program; if not, see www.gnu.org/licenses or write to
+* the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+* MA 02110-1301 USA.
+*
+* This code is based on the OpenXchange Connector and on the Prognus pSync
+* Connector both developed by the community and licensed under the GPL
+* version 2 or above as published by the Free Software Foundation.
+*
+* You can contact Prognus Software Livre headquarters at Av. Tancredo Neves,
+* 6731, PTI, Bl. 05, Esp. 02, Sl. 10, Foz do Iguaçu - PR - Brasil or at
+* e-mail address prognus@prognus.com.br.
+*
+*
+* Faz a localização dos serviços que serão utilizados pela aplicação e que estão localizados na API
+* 
+*
+* @package    expressoMail
+* @license    http://www.gnu.org/copyleft/gpl.html GPL
+* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+* @since      Arquivo disponibilizado na versão 2.2
+*/
 
 //Helper function and defines that must be moved to a common area
 /////////////////////////////////////////////////////
-
 if(!function_exists('define_once') )
 {
@@ -26,4 +63,12 @@
 
 /////////////////////////////////////////////////////
+/**
+* Faz a localização dos serviços que serão utilizados pela aplicação e que estão localizados na API
+*
+* @package    expressoMail
+* @license    http://www.gnu.org/copyleft/gpl.html GPL
+* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+* @version    1.0
+*/
 class ServiceLocator
 {
@@ -38,5 +83,13 @@
 //     static $empty_locator = new ServiceLocator( 'empty' );
 
-    static function load( $configuration )
+    
+	/**
+	* Carrega a configuração
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param      $configuration
+	*/
+	static function load( $configuration )
     {
 	$configuration = SERVICES.$configuration;
@@ -53,4 +106,13 @@
     }
 
+	
+	/**
+	* Deploy
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param      $serviceType
+	* @param      $serviceName
+	*/
     static function deploy( $serviceType, $serviceName = null )
     {
@@ -65,5 +127,13 @@
     }
 
-    //make all the treatment of
+
+	/**
+	* make all the treatment of
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param      $service
+	* @param      $object
+	*/
     static function register( $service, $object )
     {
@@ -75,4 +145,12 @@
     }
 
+	
+	/**
+	* unregister service
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param      $service
+	*/
     static function unregister( $service )
     {
@@ -84,5 +162,11 @@
     }
 
-    //implement
+    /**
+	* configure
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param      $service
+	*/
     static function configure( $service )
     {
@@ -90,4 +174,13 @@
     }
 
+	/**
+	* locate
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param      $service
+	* @param      $arguments
+	* @param      $target
+	*/
     static function locate( $service, $arguments = array(), $target = false )
     {
@@ -126,4 +219,13 @@
     }
 
+	
+	/**
+	* construct
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param      $serviceName
+	* @param      $object
+	*/
     function __construct( $serviceName, $object )
     {
@@ -132,4 +234,13 @@
     }
 
+	
+	/**
+	* proxy
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param      $method
+	* @param      $arguments
+	*/
     function proxy( $method, $arguments )
     {
@@ -157,4 +268,11 @@
     }
 
+	
+	/**
+	* call
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	*/
     function call()
     {
@@ -172,4 +290,13 @@
     }
 
+	
+	/**
+	* dispatch
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param      $service
+	* @param      $arguments
+	*/
     function dispatch( $service, $arguments )
     {
@@ -183,4 +310,13 @@
     }
 
+	
+	/**
+	* call
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param      $method
+	* @param      $arguments
+	*/
     function __call( $method, $arguments )
     {
@@ -188,4 +324,12 @@
     }
 
+	
+	/**
+	* get
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param      $name
+	*/
     function __get( $name )
     {
@@ -193,4 +337,13 @@
     }
 
+	
+	/**
+	* call static
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param      $method
+	* @param      $arguments
+	*/
     static function __callStatic( $method, $arguments )
     {
@@ -198,4 +351,12 @@
     }
 
+	
+	/**
+	* get service
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param      $service
+	*/
     static function getService( $service )
     {